module AuthJwt
  require 'json/jwt'
  require 'auth_jwt/exception/unauthorized'
  require 'auth_jwt/controller_additions'
  require 'auth_jwt/user_model_additions'
  require 'auth_jwt/configuration'
  require 'auth_jwt/engine'

  class << self
    attr_writer :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield(configuration)
  end
end
