module AuthJwt
  # Hold custom configurations
  class Configuration
    attr_accessor :user_class, :login_field, :password_field, :salt, :jwt_sign_key, :public_key, :private_key, :iss, :aud, :exp

    # Set the default settings
    def initialize
      @user_class = 'User'
      @login_field = 'login'
      @password_field = 'password'
      @salt = SecureRandom.hex(16)
    end

    # Load public_key file
    def public_key=(value)
      @public_key = OpenSSL::PKey::RSA.new(File.new(value))
    end

    # Load private_key file
    def private_key=(value)
      @private_key = OpenSSL::PKey::RSA.new(File.new(value))
    end
  end
end
