# Here you can configure AuthJwt features.
AuthJwt.configure do |config|
  # Set the user class model
  # config.user_class = 'User'

  # Set the login field
  # config.login_field = 'login'

  # Set the password field
  # config.password_field = 'password'

  # Salt used to store password with
  config.salt = '<%= gen_secret %>'

  # Secret key to sign jwt with
  config.jwt_sign_key = '<%= gen_secret %>'

  # Public/Private keys path
  config.public_key = Rails.root.join('config', 'keys', 'jwt_public_key.pem')
  config.private_key = Rails.root.join('config', 'keys', 'jwt_private_key.pem')

  # issuer of the jwt (random string or URI)
  config.iss = '<%= gen_secret %>'

  # audience of the jwt (random string or URI)
  config.aud = '<%= gen_secret %>'

  # lifetime of the token
  config.exp = 3.hours.from_now
end
